Loading...
Searching...
No Matches
min_arguments Struct Reference

arguments used for estimate, ibf, minimiser More...

`#include </build/seqan-needle-VDbW4A/seqan-needle-1.0.3+ds/include/shared.hpp>`

Inheritance diagram for min_arguments:

## Public Attributes

uint8_t | k {20}
seqan3::seed | s {0x8F'3F'73'B5'CF'1C'9A'DEULL}
seqan3::shape | shape = seqan3::ungapped{k}
seqan3::window_size | w_size {60}
Public Attributes inherited from all_arguments
std::filesystem::path | path_out {"./"}
uint8_t | threads {1}

## Detailed Description

arguments used for estimate, ibf, minimiser

## Member Data Documentation

## k

uint8_t min_arguments::k {20}

## s

seqan3::seed min_arguments::s {0x8F'3F'73'B5'CF'1C'9A'DEULL}

## shape

seqan3::shape min_arguments::shape = seqan3::ungapped{k}

## w_size

seqan3::window_size min_arguments::w_size {60}

The documentation for this struct was generated from the following file:

- /build/seqan-needle-VDbW4A/seqan-needle-1.0.3+ds/include/shared.hpp